Subject: Re: bug#23406: 25.0.93; autoload cursor-sensor-inhibit

From: Stefan Monnier <[email-masked]>
Date: Sat, 30 Apr 2016 09:30:16 -0400

> I think the variable cursor-sensor-inhibit should be autoloaded.
> for example I often see this message:
>     isearch-cancel: Symbol’s value as variable is void: cursor-sensor-inhibit
> I have also seen it happened in isearch's pre-command-hook.
> WDYT?

As much as I hate autoloading variables, I think I agree in this case.
Please update the isearch.el code accordingly (getting rid of the
(boundp 'cursor-sensor-inhibit) check).

        Stefan